# -*- rpm-spec -*-
# $Id: alterator-packages.spec,v 1.54 2005/10/21 12:04:46 lioka Exp $

Name: alterator-packages
Version: 0.4
Release: alt4

Summary: Alterator module for packages installation/removal
License: GPL
Group: System/Configuration/Other

Source0: %name-%version.tar.bz2

BuildArch: noarch
BuildRequires: libpam0-devel
BuildRequires: alterator >= 1.99-alt41
 
Requires: consolehelper
Requires: dbus-tools
Requires: gawk >= 3.1.4-alt2
Requires: apt >= 0.5.15cnc6-alt16
Requires: alterator >= 2.0-alt0.1

%description
%name is a Alterator's module for packages installation/removal

%prep
%setup -qc

%install
%makeinstall menudir=%buildroot%_menudir cachedir=%buildroot%_cachedir/alterator
%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%config(noreplace) %_sysconfdir/pam.d/*
%config(noreplace) %_sysconfdir/security/console.apps/*
%_bindir/*
%_sbindir/*
%_menudir/*
%_iconsdir/*.png
%_liconsdir/*.png
%_miconsdir/*.png
%_libdir/alterator/backend/*
%_datadir/alterator/ui/packages
%_datadir/alterator/help/*/*
%_datadir/alterator/maps/*
%ghost %_cachedir/alterator/packages-profile.scm

%changelog
* Fri Oct 21 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.4-alt4
- search mode fixes

* Thu Oct 20 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.4-alt3
- icons added

* Fri Oct 14 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.4-alt2
- trnslations fixed

* Wed Oct 12 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.4-alt1
- packages sources tab added

* Fri Sep  2 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt6
- help updated (kirill@)
- ui tweaks

* Tue Aug 30 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt5
- ui improvements (zerg@)
- fixed backend bug with harmful `dbus-send' buffering

* Fri Aug 19 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt4
- ukrainian translation added

* Mon Aug  8 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt3
- sync'd with recent (2.0-alt0.1) alterator's core
- hide 'profile' view when no profile data exists
- splash screens during slow operations added

* Tue Aug  2 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt2
- ui tweaks

* Mon Aug  1 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.3-alt1
- search added

* Tue Jul 19 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt4
- sync'd with recent (1.99-alt47) alterator's core

* Mon Jul 18 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt3
- added 'update' command & ui
- help updated

* Thu Jul 14 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt2
- help added

* Wed Jul 13 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt1
- standalone version
- full profile group removal, #7284

* Thu Jul  7 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.9
- sync'd with recent (1.99-alt41) alterator's core: 
  + layout fixed to use relative size quantifiers
  + some hacks adopted to new version (inger@)
  + fixed map (inger@)

* Fri Jul  1 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.8
- installation of predefined set of packages added

* Thu Jun 30 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.7
- undo/redo functions added

* Mon Jun 27 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.6
- 'upgradable' group added
- 'error' dialog added
- 'install progress' dialog unified
- 'legend' area extended

* Wed Jun 22 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.5
- bugs fixed:
  + cdrom identity
  + shut down apt-pipe at exit

* Mon Jun 20 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.4
- backend improvements
- added 'Insert CDROM...' dialog

* Tue Jun  7 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.3
- added mininstall for use from other modules
- sync'd with recent alterator
 
* Fri Jun  3 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.2
- added 'pending changes' view
- ui layout changes

* Tue May 31 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.2-alt0.1
- sync'd with alterator's changes

* Thu May 26 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt0.3
- progress substep merged into main step

* Mon May 23 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt0.2
- fixed: #6867, #6897
- required/freed disk space indication fixed
- russian translation added, incomplete

* Mon May 16 2005 Sergey Bolshakov <sbolshakov@altlinux.ru> 0.1-alt0.1
- Initial build.
